Bug 1286820 - [GSS] [RFE] Addition of "summary" option in "gluster volume heal" command.
Summary: [GSS] [RFE] Addition of "summary" option in "gluster volume heal" command.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Karthik U S
QA Contact: Vijay Avuthu
URL:
Whiteboard:
Depends On: 1015990 1100398
Blocks: RHGS-3.4-GSS-proposed-tracker 1474007 1503132 1503135 1522729 1531931
TreeView+ depends on / blocked
 
Reported: 2015-11-30 19:26 UTC by Harold Miller
Modified: 2018-09-10 12:27 UTC (History)
17 users (show)

Fixed In Version: glusterfs-3.12.2-2
Doc Type: Enhancement
Doc Text:
This option shows the present state of the volume with a consolidated view. Unlike heal info option, this prints only the number of the file which needs heal or in split-brain or undergoing heal inside every brick.
Clone Of: 1100398
: 1522729 1531931 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:26:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:29:05 UTC
Red Hat Knowledge Base (Article) 890043 None None None Never

Comment 3 Jayaraj 2016-02-24 07:41:56 UTC
Any update from my previous comment?

Comment 4 Jayaraj 2016-03-28 00:06:32 UTC
Hi Harold, Any update on this BZ? do we expect to have any resolution soon? Please let me know to advice customer accordingly. Thanks.

Comment 5 Harold Miller 2016-03-28 15:05:47 UTC
Jayaraj,

The BZ appears to still be a [Future Feature], and the status is 'NEW' which means no Engineer has been assigned to work on it. If you have a customer or case where they are pushing on it, I recommend you post an item to the gluster-prio email list to see if you can get additional information.

Harold Miller,  Associate Manager, Red Hat Storage
Support for Emerging Technologies

Comment 7 Harold Miller 2016-04-05 16:37:47 UTC
Hello jayaraj,

gluster-prio-list@redhat.com

Harold

Comment 15 Karthik U S 2017-09-08 07:18:23 UTC
Sure. Will do that.

Comment 18 Vijay Avuthu 2018-02-19 06:49:22 UTC
verified in 3.12.2-4 build with 4 * 3 volume

> summary option has been added to help 

# gluster vol help | grep -i summary
volume heal <VOLNAME> [enable | disable | full |statistics [heal-count [replica <HOSTNAME:BRICKNAME>]] |info [summary | split-brain] |split-brain {bigger-file <FILE> | latest-mtime <FILE> |source-brick <HOSTNAME:BRICKNAME> [<FILE>]} |granular-entry-heal {enable | disable}] - self-heal commands on volume specified by <VOLNAME>
#

> pending entries are listed using summary option

#  gluster vol heal 43 info summary
Brick 10.70.35.229:/bricks/brick0/b0
Status: Transport endpoint is not connected
Total Number of entries: -
Number of entries in heal pending: -
Number of entries in split-brain: -
Number of entries possibly healing: -

Brick 10.70.35.207:/bricks/brick0/b0
Status: Connected
Total Number of entries: 5004
Number of entries in heal pending: 5004
Number of entries in split-brain: 0
Number of entries possibly healing: 0

Brick 10.70.35.178:/bricks/brick0/b0
Status: Connected
Total Number of entries: 5004
Number of entries in heal pending: 5004
Number of entries in split-brain: 0
Number of entries possibly healing: 0

> "info healed" and "info heal-failed" has been deprecated in 3.4 and the same has been verified

# gluster vol heal 43 info healed

Usage:
volume heal <VOLNAME> [enable | disable | full |statistics [heal-count [replica <HOSTNAME:BRICKNAME>]] |info [summary | split-brain] |split-brain {bigger-file <FILE> | latest-mtime <FILE> |source-brick <HOSTNAME:BRICKNAME> [<FILE>]} |granular-entry-heal {enable | disable}]



# gluster vol heal 43 info heal-failed

Usage:
volume heal <VOLNAME> [enable | disable | full |statistics [heal-count [replica <HOSTNAME:BRICKNAME>]] |info [summary | split-brain] |split-brain {bigger-file <FILE> | latest-mtime <FILE> |source-brick <HOSTNAME:BRICKNAME> [<FILE>]} |granular-entry-heal {enable | disable}]

# 

Changing status to verified.

Comment 22 errata-xmlrpc 2018-09-04 06:26:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.